<template>
    <v-container>
        <v-data-table
        :headers="headers"
        :items="lista"
        :items-per-page="5"
        class="elevation-1">
    </v-data-table>
    </v-container>
</template>

<script>
import axios from "axios";
export default {
    data() {
        return {
            lista: [],
            headers: [
                { text: 'ID', value: 'id', /*sortable: false*/},
                { text: 'Nombre AC', value: 'nombre_ac', /*sortable: false*/},
                { text: 'Clientes', value: 'clientes', /*sortable: false*/},
                { text: 'Monto', value: 'monto', /*sortable: false*/},
                { text: 'Banco', value: 'banco', /*sortable: false*/},
                { text: 'Fecha desembolso', value: 'fecha_desembolso', /*sortable: false*/},
                { text: 'Sucursal', value: 'sucursal' /*sortable: false*/},
                { text: 'Regional', value: 'regional' /*sortable: false*/},
            ],
        }
    },

    created(){
        this.getOperaciones();
    },
    methods: {
        getOperaciones() {
          //const res = await this.axios.get(`${this.baseURL}/operaciones`);
            axios
                .get('/operaciones')
                .then((response) => {
                    this.lista = response.data;
                    console.log(response);
                    //console.log(response);
                    //return this.paginate(this.lista);
                })
                .catch((e) => console.log(e));
        },
    }
}
</script>